declare class StorageClient {
    id: string;
    frameId: string;
    origin: string;
    requests: Record<string, any>;
    connected: boolean;
    closed: boolean;
    count: number;
    timeout: number;
    hub: null | Window;
    constructor(url: string, opts?: {
        frameId?: string;
        timeout?: number;
    });
    onConnect(): Promise<unknown>;
    set(key: string, value: string): Promise<unknown>;
    get(...keys: string[]): Promise<unknown>;
    del(...keys: string[]): Promise<unknown>;
    clear(): Promise<unknown>;
    getKeys(): void;
    close(): void;
    private listener;
    private createFrame;
    private request;
}

export { StorageClient };
